"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x11793e520>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x11793e5c0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11793e660>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11793e700>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x11793e7a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x11793e840>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11793e8e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11793e980>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11793ea20>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11793eac0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x11793eb60>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x11793ec00>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x11793eca0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x11793ed40>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x11793ede0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x11793ee80>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x11793ef20>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x11793efc0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x11793f060>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x11793f100>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x11793f1a0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x11793f240>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x11793f2e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x11793f380>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x11793f420>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x11793f4c0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x11793f560>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x11793f600>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x11793f6a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x11793f740>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x11793f7e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x11793f880>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x11793f920>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x11793f9c0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x11793fa60>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x11793fb00>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x11793fba0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x11793fc40>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11793fce0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11793fd80>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11793fe20>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x11793fec0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x11793ff60>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x117988040>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1179880e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x117988180>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x117988220>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1179882c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x117988360>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x117988400>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1179884a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x117988540>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1179885e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x117988680>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x117988720>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1179887c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x117988860>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x117988900>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1179889a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x117988a40>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x117988ae0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x117988b80>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x117988c20>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x117988cc0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x117988d60>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x117988e00>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x117988ea0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x117988f40>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x117988fe0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x117989080>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x117989120>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1179891c0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x117989260>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x117989300>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1179893a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x117989440>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1179894e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x117989580>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x117989620>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1179896c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x117989800>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x117989760>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1179898a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x117989940>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1179899e0>)]
name: str = 'fr_HOCCN'
